- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
cbrt
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Exponential and logarithmic functions

Cube root of input arrays. More...

## Functions
AFAPI array | cbrt (const array &in)
| C++ Interface for cube root of input. More...
AFAPI af_err | af_cbrt (af_array *out, const af_array in)
| C Interface for cube root. More...

## Detailed Description

Cube root of input arrays.

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI af_err af_cbrt | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for cube root.

Parameters

  [out] | out | will contain the cube root of `in`
  [in] | in | is input

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::cbrt | ( | const array & | in | ) |

C++ Interface for cube root of input.

Parameters

  [in] | in | is input

Returns
  the cube root of input